Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.clfs.gpr.NLAsolve

`mvpa2.clfs.gpr.``NLAsolve`(a, b)

  Solve a linear matrix equation, or system of linear scalar equations.

  Computes the “exact” solution, `x`, of the well-determined, i.e., full rank, linear matrix equation `ax = b`.

  Parameters:

  a : (..., M, M) array_like

  > Coefficient matrix.

  b : {(..., M,), (..., M, K)}, array_like

  > Ordinate or “dependent variable” values.

  Returns:

  x : {(..., M,), (..., M, K)} ndarray

  > Solution to the system a x = b. Returned shape is identical to `b`.

  Raises:

  LinAlgError :

  > If `a` is singular or not square.

  Notes

  Broadcasting rules apply, see the `numpy.linalg` documentation for details.

  The solutions are computed using LAPACK routine _gesv

  `a` must be square and of full-rank, i.e., all rows (or, equivalently, columns) must be linearly independent; if either is not true, use `lstsq` for the least-squares best “solution” of the system/equation.

  References

  [R2] | G. Strang, Linear Algebra and Its Applications, 2nd Ed., Orlando, FL, Academic Press, Inc., 1980, pg. 22.

  Examples

  Solve the system of equations `3 * x0 + x1 = 9` and `x0 + 2 * x1 = 8`:

      >>> a = np.array([[3,1], [1,2]])
      >>> b = np.array([9,8])
      >>> x = np.linalg.solve(a, b)
      >>> x
      array([ 2.,  3.])

  Check that the solution is correct:

      >>> np.allclose(np.dot(a, x), b)
      True

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »